#include<iostream.h> 
 long fun(int n);//函数原型
 int main()                                                  
{
 int n;
 long m;
 cout<<"请输入项数n："<<endl;
 cin>>n;
 m=fun(n);
 cout<<"第"<<n<<"项是"<<m<<endl;
 return(0);
}
 long fun(int n)
{
 int i;
 long f1,f2,t;
 f1=1;
 f2=1;
 for(i=3;i<=n;i++)
 { 
  t=f1+f2; //求出当前的项,f1是前二项，f2是前一项
  f1=f2; //前一项是下次的前二项
  f2=t;  //当前项是下次的前一项
 }
 return(f2);
}
